VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Equity"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public Sub init(nm As String)
'utwórz instancję i zapamiętaj nazwę
End Sub
Public Sub invest(amt As Single)
'zarejestruj zainwestowaną kwotę
End Sub
Public Function getName() As String
'zwróć nazwę papieru wartościowego
End Function
Public Function getValue(toDate As Date) As Single
'oblicz całkowitą wartość
End Function
Public Function getTaxable(toDate As Date) As Single
'oblicz zysk do opodatkowania
End Function
Public Function isBond() As Boolean
'zwraca True jeśli obligacja
End Function
